<?php
/*
Plugin Name: Live Cryptocurrency Market Data By ScriptYab.com
Plugin URI: https://ScriptYab.com
Description: Adds a realtime list of cryptocurrencies
Version: 1.0
Author: ScriptYab.com
Author URI: https://ScriptYab.com
*/
add_shortcode("livemarket", "livemarket_handler");

wp_enqueue_style('live-market-style',  plugins_url().'/live-market/css/ember.css', false);

function livemarket_handler()
	{
	$output = livemarket();
	return $output;
	}

function livemarket()
	{

		wp_enqueue_script('jquery-113', 'https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js', false);
		wp_enqueue_script('socket-io', 'https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.0.3/socket.io.js', false);
		wp_enqueue_script('data-tables', 'https://cdn.datatables.net/1.10.15/js/jquery.dataTables.min.js', false);
		wp_enqueue_script('live-market-js', plugins_url().'/live-market/js/ember.js', false);

		$data = json_decode(file_get_contents('https://coincap.io/front'), true);

		echo '<table id="coins-info-table" class="display coins-table dataTable table table-striped">
	      <thead>
	          <tr role="row">
	              <th class="sorting" tabindex="0" aria-controls="coins-info-table">Coin Name</th>
	              <th class="sorting mobile-hide" tabindex="0" aria-controls="coins-info-table">Market Cap</th>
	              <th class="sorting" tabindex="0" aria-controls="coins-info-table">Price</th>
	              <th class="sorting  mobile-hide" tabindex="0" aria-controls="coins-info-table">Volume</th>
	              <th class="sorting mobile-hide" tabindex="0" aria-controls="coins-info-table">Supply</th>
	              <th class="sorting mobile-hide" tabindex="0" aria-controls="coins-info-table">Change</th>
	          </tr>
	      </thead>
	        <tbody>';


			foreach($data as $coin) {
			  echo '<tr id="BTC_' . $coin['short'] . '" data-name="' . $coin['long'] . '" role="row" class="odd">
			  <td><span class="sprite sprite-' .  str_replace(' ', '', strtolower($coin['long'])) . ' small_coin_logo"></span> ' . $coin['long'] . '</td>
			  <td class="market_capital mobile-hide">$' . number_format($coin['mktcap']) . '</td>
			  <td class="increment price" data-usd="' . number_format($coin['price'], 4) . '">$' . number_format($coin['price'], 4) . '</td>
			  <td class="volume mobile-hide">$' . number_format($coin['usdVolume']) . '</td>
			  <td class="supply mobile-hide">' . $coin['supply'] . '</td>
			  <td class="increment change mobile-hide">' . $coin['cap24hrChange'] . '%</td>
			</tr>';
			}


		echo '</tbody></table>';

	}

?>
